regresion<-function(x){

	return(dnorm(x,2,1)+dnorm(x,4,0.5)+dnorm(x,6,0.1)+dnorm(x,8,0.05))}
x<-seq(0,10,by=0.01)
plot(regresion(x)~x,type="l")


x1<-(1:100)/10

k<-function(x){     #kernel
return((1/sqrt(2*pi))*exp(-x^2/2))
}

nw<-function(t,x,y,h){#Nadaraya-Watson
	txh<-outer(t,x,"-")/h     #Da todas las restas t-x
	ktxh<-k(txh)              #Hace k de la matriz
	L<-ktxh/apply(ktxh,1,sum) #da una matriz donde las filas suman uno
				        #divido cada fila por cada fila 
	return(L%*%y)}
	


mbarra=nw(x1,x1,regresion(x1),0.27)
plot(x1,regresion(x1),type="l")
points(x1,mbarra,type="l",col="red")

y=regresion(x1)+rnorm(100,mean=0,sd=0.2)
mbarra2=nw(x1,x1,y,0.27)
points(x1,mbarra2,type="l",col="blue")



##banda de confianza




